org.eclipse.actf.model.dom.odf.chart

## Interface PlotAreaElement

All Superinterfaces:
  Element, IStylable, Node, ODFElement

    public interface PlotAreaElement
    extends ODFElement, IStylable

Interface for <chart:plot-area> element.

### Field Summary

### Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

### Method Summary

Methods
`String` `getAttrChartDataSourceHasLabels()` Return chart:data-source-has-labels attribute
`String` `getAttrChartTableNumberList()` Return chart:table-number-list attribute
`String` `getAttrDr3dAmbientColor()` Return dr3d:ambient-color attribute
`String` `getAttrDr3dDistance()` Return dr3d:distance attribute
`String` `getAttrDr3dFocalLength()` Return dr3d:focal-length attribute
`boolean` `getAttrDr3dLightingMode()` Return dr3d:lighting-mode attribute
`String` `getAttrDr3dProjection()` Return dr3d:projection attribute
`String` `getAttrDr3dShadeMode()` Return dr3d:shade-mode attribute
`int` `getAttrDr3dShadowSlant()` Return dr3d:shadow-slant attribute
`String` `getAttrDr3dVpn()` Return dr3d:vpn attribute
`String` `getAttrDr3dVrp()` Return dr3d:vrp attribute
`String` `getAttrDr3dVup()` Return dr3d:vup attribute
`String` `getAttrSvgHeight()` Return svg:height attribute
`String` `getAttrSvgWidth()` Return svg:width attribute
`String` `getAttrSvgX()` Return svg:x attribute
`String` `getAttrSvgY()` Return svg:y attribute
`String` `getAttrTableCellRangeAddress()` Return table:cell-range-address attribute

### Methods inherited from interface org.w3c.dom.Element

`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

### Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

### Methods inherited from interface org.eclipse.actf.model.dom.odf.content.IStylable

`addStyleListener, getStyle, removeStyleListener, setStyle`

### Method Detail

#### getAttrTableCellRangeAddress

    String getAttrTableCellRangeAddress()

Return table:cell-range-address attribute

Returns:
  String

#### getAttrChartDataSourceHasLabels

    String getAttrChartDataSourceHasLabels()

Return chart:data-source-has-labels attribute

Returns:
  String

#### getAttrChartTableNumberList

    String getAttrChartTableNumberList()

Return chart:table-number-list attribute

Returns:
  String

#### getAttrSvgX

    String getAttrSvgX()

Return svg:x attribute

Returns:
  String

#### getAttrSvgY

    String getAttrSvgY()

Return svg:y attribute

Returns:
  String

#### getAttrSvgWidth

    String getAttrSvgWidth()

Return svg:width attribute

Returns:
  String

#### getAttrSvgHeight

    String getAttrSvgHeight()

Return svg:height attribute

Returns:
  String

#### getAttrDr3dVrp

    String getAttrDr3dVrp()

Return dr3d:vrp attribute

Returns:
  String

#### getAttrDr3dVpn

    String getAttrDr3dVpn()

Return dr3d:vpn attribute

Returns:
  String

#### getAttrDr3dVup

    String getAttrDr3dVup()

Return dr3d:vup attribute

Returns:
  String

#### getAttrDr3dProjection

    String getAttrDr3dProjection()

Return dr3d:projection attribute

Returns:
  String

#### getAttrDr3dDistance

    String getAttrDr3dDistance()

Return dr3d:distance attribute

Returns:
  String

#### getAttrDr3dFocalLength

    String getAttrDr3dFocalLength()

Return dr3d:focal-length attribute

Returns:
  String

#### getAttrDr3dShadowSlant

    int getAttrDr3dShadowSlant()

Return dr3d:shadow-slant attribute

Returns:
  String

#### getAttrDr3dShadeMode

    String getAttrDr3dShadeMode()

Return dr3d:shade-mode attribute

Returns:
  String

#### getAttrDr3dAmbientColor

    String getAttrDr3dAmbientColor()

Return dr3d:ambient-color attribute

Returns:
  String

#### getAttrDr3dLightingMode

    boolean getAttrDr3dLightingMode()

Return dr3d:lighting-mode attribute

Returns:
  boolean